# Screen orientation

A decision block that checks if the screen is in portrait or landscape orientation.

If the proceed option is set to Immediately, then check the current screen orientation without pausing the fiber. If set to When changed, then the fiber will pause until the screen orientation has changed.

An alternative to this block which gets the screen rotation in degrees (4), not just its orientation (2), is the Display metrics get block.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Orientation — screen orientation to match, default is Portrait.